kontact displays event on the wrong day

Bug #512286 reported by JB on 2010-01-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kdepim (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: kdepim

In Ubuntu Jaunty, Kontact Version 1.4.2 displays an event scheduled at 19:00:00 US-EST on day "X" as day "X+1" in the week or monthly view. If the event is scheduled for 18:59:00 US-EST then it is displayed correctly as occurring on day "X". My hypothesis is 19:00:00 adjusted to UTC becomes 00:00:00 but the code that is supposed to calculate back to US-EST subtracts the 5:00:00 hrs from the UTC stamp, but fails to reduce the date by one day. This is illustrated by the following 2 examples. The first one is displayed incorrectly as an event occurring on 28th Jan, 2010 at 7:00:00 PM US-EST, while the latter (set on minute earlier) is displayed correctly as occurring on 27th Jan, 2010 at 6:59:00 US-EST.

BEGIN:VEVENT
DTSTAMP:20100124T223140Z
ORGANIZER;CN=jmb:MAILTO:
CREATED:20100124T223138Z
UID:libkcal-446501855.679
LAST-MODIFIED:20100124T223138Z
DESCRIPTION:Test-Incorrect.
SUMMARY:Test
LOCATION:Test
CATEGORIES:Misc
DTSTART:20100128T000000Z
DTEND:20100128T010000Z
TRANSP:OPAQUE
END:VEVENT

BEGIN:VEVENT

DTSTAMP:20100124T230258Z

ORGANIZER;CN=jmb:MAILTO:

CREATED:20100124T224329Z

UID:libkcal-634523736.918

SEQUENCE:2

LAST-MODIFIED:20100124T230256Z

DESCRIPTION:Test-Works.

SUMMARY:Test

LOCATION:Test

CATEGORIES:Misc

DTSTART:20100127T235900Z

DTEND:20100128T005900Z

TRANSP:OPAQUE

END:VEVENT

If there is any more information that is needed to diagnose and fix this bug I will be glad to supply it. Thanks

JMB

Jonathan Thomas (echidnaman) wrote :

Hi there!

Thanks for reporting this bug! Your bug seems to be a problem with the KDE program itself, and not with our KDE packages. While we appreciate your issue, it would be better if it was tracked at https://bugs.kde.org, so that the KDE developers can deal with this speedily and have direct communication with you as the reporter for more effective debugging.

Thanks!

Changed in kdepim (Ubuntu):
status: New → Invalid
JB (jmb365) wrote :

I am using KDE 4.2.2, the latest version that is in the Jaunty 64bit distribution. Per your suggestion I tried to post this as a bug on https://bugs.kde.org/wizard.cgi, but received the following:

You are not using a recent KDE version. Since your bug is likely to be fixed already in more recent versions of KDE you can no longer submit bugs against your version of KDE. If possible, please update your KDE version and see whether the problem persists. If it does, please re-submit your bug with the new KDE version. You can download updated KDE versions from the KDE Web Site or one of the many mirror sites. You can also check the homepage of your operating system or distribution's vendor to see if there are customized KDE versions available for your system.

So it seems that if the bug has been fixed, then Ubuntu needs to package a newer version for the Jaunty distribution. The latest KDE version available seems to be 4.3.4. Please advice.

Thanks

JB (jmb365) wrote :

Changed to "Incomplete" since a newer KDE release may have resolved the problem, but has not been packaged for Ubuntu Jaunty

Changed in kdepim (Ubuntu):
status: Invalid → Incomplete
Jonathan Thomas (echidnaman) wrote :

We use fix released for these situations, since Jaunty won't be seeing any major KDE updates.

Changed in kdepim (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers